Temso Docs
API referenceAnalytics

Get Mention-Source Flow

Returns the flow between cited source domains and the brands they mention as a graph (nodes + weighted links) — the data behind the mention-sources Sankey diagram.

GET
/projects/{projectId}/analytics/mention-sources

Returns the flow between cited source domains and the brands they mention as a graph (nodes + weighted links) — the data behind the mention-sources Sankey diagram.

Path Parameters

projectId*string

Project ID (see List Projects)

Query Parameters

filter*

Response Body

application/json

curl -X GET "https://example.com/projects/string/analytics/mention-sources?filter%5BstartDate%5D=2026-01-01&filter%5BendDate%5D=2026-03-19&filter%5Blanguages%5D=en%2Cde&filter%5Bcountries%5D=US%2CDE&filter%5Bmodels%5D=microsoft%2Fcopilot-search%2Cgoogle%2Fai-overview%2Cgoogle%2Fai-mode%2Cperplexity%2Fsearch%2Cgemini%2Fsearch%2Copenai%2Fchatgpt&filter%5BpromptTypes%5D=informational%2Cnavigational&filter%5BisBranded%5D=true&filter%5BpersonaIds%5D=string&filter%5BofferingIds%5D=string&filter%5BpromptTagIds%5D=string&filter%5BbrandIds%5D=string"
{
  "data": {
    "nodes": [
      {
        "id": "string",
        "type": "string",
        "label": "string",
        "isOwnBrand": true
      }
    ],
    "links": [
      {
        "source": "string",
        "target": "string",
        "value": 0
      }
    ]
  }
}